
QGIS Application - Bug report #6173

load SLD symbology issue

2012-08-09 03:03 PM - Milver Valenzuela

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15490

Description

I have produced a rule based style that includes line patterns. I've saved the style as both SLD and QML. When I use the QGIS "load

style" command on the same shapefile or another one with the same schema, the QML style is successfully loaded, while the SLD has

trouble with the line patterns (i.e., it just defaults to one pattern) and the transparency (i.e., no transparency upon load). I've attached a zip

file containing a sample shapefile with both SLD and equivalent QML symbology so that you can replicate the issue.

Thanks!

Associated revisions

Revision 86a20e9a - 2012-08-27 05:17 PM - Giuseppe Sucameli

SLD support: convert SLD rotated lines back to line pattern fill (partially fix #6173)

History

#1 - 2012-08-09 03:45 PM - Giovanni Manghi

- Status changed from Open to Feedback

Hi,

you must test qgis-master, there have been fixes about SLD support after qgis 1.8 was released. Please test again and report back. Cheers.

#2 - 2012-08-09 06:46 PM - Milver Valenzuela

- File floodplain2.sld added

Still the same issue. Here's what I did:

    -  I got the MASTER installed. Loaded the test shapefile and the QML style (both included in the original ZIP attachment) which were successful as

expected. 

    -  I saved the style as SLD. I'm attaching the new SLD file created with the MASTER (noticed some tag changes compared to 1.8 sld version but nothing

major). 

    -  Reloaded the shapefile and this time with the new SLD file and found the same behavior as with 1.8

I'd appreciate your insight.

Thanks,
#3 - 2012-08-10 01:30 AM - Giovanni Manghi

- OS version deleted (7)

- Status changed from Feedback to Open

- Assignee set to Giuseppe Sucameli

- Operating System deleted (Windows)

#4 - 2012-08-27 08:19 AM - Giuseppe Sucameli

- Status changed from Open to Closed

Fixed in changeset commit:"86a20e9a68fb61a13cdb439b9e4c10e9167eea50".

#5 - 2012-08-27 08:20 AM - Giuseppe Sucameli

- Status changed from Closed to In Progress

- % Done changed from 0 to 50

Partially fixed (line pattern issue).

Transparency issue is still there.

#6 - 2012-09-04 11:52 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2012-12-31 01:23 AM - Paolo Cavallini

- Assignee changed from Giuseppe Sucameli to anonymous -

#8 - 2013-10-01 07:16 AM - Giuseppe Sucameli

- Status changed from In Progress to Closed

Fixed in changeset commit:"86a20e9a68fb61a13cdb439b9e4c10e9167eea50".

#9 - 2014-06-29 10:13 AM - Jürgen Fischer

- Assignee deleted (anonymous -)

Files

SLD_sample.zip 56.9 KB 2012-08-09 Milver Valenzuela

floodplain2.sld 5.59 KB 2012-08-09 Milver Valenzuela
